Bug 7949 - a different favicon for the staff client
Summary: a different favicon for the staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Paul Poulain
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-12 16:19 UTC by Gaetan Boisson
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.84 KB, patch)
2012-04-12 16:26 UTC, Gaetan Boisson
Details | Diff | Splinter Review
proposed favicon (1.37 KB, image/vnd.microsoft.icon)
2012-04-12 16:27 UTC, Gaetan Boisson
Details
Bug 7949 - a different favicon for the staff client (2.03 KB, patch)
2012-04-28 15:00 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
Bug 7949 - a different favicon for the staff client (2.11 KB, patch)
2012-04-30 02:37 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan Boisson 2012-04-12 16:19:48 UTC
At the moment the favicon used in the staff client is the same as the one for the opac. A different one would make it more legible when having both opened in various tabs.
Comment 1 Gaetan Boisson 2012-04-12 16:26:31 UTC Comment hidden (obsolete)
Comment 2 Gaetan Boisson 2012-04-12 16:27:09 UTC
Created attachment 9155 [details]
proposed favicon
Comment 3 Jared Camins-Esakov 2012-04-28 13:58:47 UTC
I like the idea, but applying the patch doesn't seem to change the favicon used for the the staff client.
Comment 4 Paul Poulain 2012-04-28 14:56:46 UTC
I tried this patch, and it work fine ... if you have nothing in your web cache. I had some trouble cleaning Firefox to remove the favicon.
I succeeded after cleaning cache + restarting FF

(back to needs signoff)
Comment 5 Jared Camins-Esakov 2012-04-28 15:00:59 UTC Comment hidden (obsolete)
Comment 6 Jared Camins-Esakov 2012-04-28 15:01:55 UTC
With that hint it worked fine. I tried restarting Firefox before, but I didn't realize that Shift-refresh wouldn't bypass the cache for the favicon as well. Looks great!
Comment 7 Mason James 2012-04-30 02:37:08 UTC
Created attachment 9361 [details] [review]
Bug 7949 - a different favicon for the staff client

Different favicon proposal

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Signed-off-by: Mason James <mtj@kohaaloha.com>

Important note: you need to clear your web cache in order for the change to take
effect.
Comment 8 Jonathan Druart 2012-05-03 13:44:35 UTC
QA comment:
favicon modification for the staff client.
Just one question: Why do you only change the favicon for staff ? What about OPAC ?

Marked as passed QA
Comment 9 Gaetan Boisson 2012-05-03 13:47:04 UTC
well i am happy with the opac favicon, and the idea is to have two different icons ;)